package schrauben;

public class Client 
{ 
   private IAbstrakteFabrik abstrakteFabrik = null; 
   private ISchraube abstraktesProduktA = null; 
   private IMutter abstraktesProduktB = null; 

   public void setAbstrakteFabrik (IAbstrakteFabrik fabrikRef)
   { 
       this.abstrakteFabrik = fabrikRef; 
   } 

   public void erzeugeProdukte() 
   { 
      if (abstrakteFabrik != null)
      { 
         abstraktesProduktA =
           abstrakteFabrik.erzeugeSchraube(); 
         abstraktesProduktB =
           abstrakteFabrik.erzeugeMutter(); 
      } 
   }   

   public void produktAusgabe() 
   { 
      if (abstraktesProduktA != null && 
             abstraktesProduktB != null) 
      { 
         abstraktesProduktA.printSchraube();          
         abstraktesProduktB.printMutter(); 
      } 
   } 
}
